Subject: bug#34939: Some minibuffer behaviour is annoying

From: pinkanon pinkanon <[email-masked]>
Date: Sat, 23 Mar 2019 14:18:57 +0200

> We could add special-case code to handle that specific case differently,
perhaps with a different error message that won't seem strange.

Just to clarify myself.
I didn't mean that the error message was strange.
The fact that the message pops up at all is my concern.
It's maybe is OK for newcomers, 
but an option to not show - not to give any textual feedback - is what I had in mind.

> > Here are some other people trying to solve this problem with no luck.
> > https://superuser.com/questions/795763/how-to-make-emacs-quit-the-minibuffer-with-one-press-of-esc
  
> Probably no simple way to make ESC work that way. The answer gives a 
>  hint why. But you could go the ergoemacs way, I guess.

Hmmm, no easy way to replace C-g... could it be made possible
to let the user slip in a custom key+function pair into the response 
option stack "(y, n, !, ., q, C-r, d or C-h)"?